import { g as rt } from "./index-SWxtueLq.js";
var Q = { exports: {} }, it = Q.exports, et;
function st() {
  return et || (et = 1, function(j, V) {
    (function(O, P) {
      j.exports = P();
    })(it, function() {
      var O = 1e3, P = 6e4, N = 36e5, S = "millisecond", T = "second", p = "minute", U = "hour", m = "day", q = "week", y = "month", R = "quarter", F = "year", W = "date", o = "Invalid Date", f = /^(\d{4})[-/]?(\d{1,2})?[-/]?(\d{0,2})[Tt\s]*(\d{1,2})?:?(\d{1,2})?:?(\d{1,2})?[.:]?(\d+)?$/, $ = /\[([^\]]+)]|Y{1,4}|M{1,4}|D{1,2}|d{1,4}|H{1,2}|h{1,2}|a|A|m{1,2}|s{1,2}|Z{1,2}|SSS/g, M = { name: "en", weekdays: "Sunday_Monday_Tuesday_Wednesday_Thursday_Friday_Saturday".split("_"), months: "January_February_March_April_May_June_July_August_September_October_November_December".split("_"), ordinal: function(i) {
        var e = ["th", "st", "nd", "rd"], t = i % 100;
        return "[" + i + (e[(t - 20) % 10] || e[t] || e[0]) + "]";
      } }, L = function(i, e, t) {
        var a = String(i);
        return !a || a.length >= e ? i : "" + Array(e + 1 - a.length).join(t) + i;
      }, b = { s: L, z: function(i) {
        var e = -i.utcOffset(), t = Math.abs(e), a = Math.floor(t / 60), n = t % 60;
        return (e <= 0 ? "+" : "-") + L(a, 2, "0") + ":" + L(n, 2, "0");
      }, m: function i(e, t) {
        if (e.date() < t.date()) return -i(t, e);
        var a = 12 * (t.year() - e.year()) + (t.month() - e.month()), n = e.clone().add(a, y), s = t - n < 0, r = e.clone().add(a + (s ? -1 : 1), y);
        return +(-(a + (t - n) / (s ? n - r : r - n)) || 0);
      }, a: function(i) {
        return i < 0 ? Math.ceil(i) || 0 : Math.floor(i);
      }, p: function(i) {
        return { M: y, y: F, w: q, d: m, D: W, h: U, m: p, s: T, ms: S, Q: R }[i] || String(i || "").toLowerCase().replace(/s$/, "");
      }, u: function(i) {
        return i === void 0;
      } }, C = "en", g = {};
      g[C] = M;
      var _ = function(i) {
        return i instanceof Y;
      }, w = function i(e, t, a) {
        var n;
        if (!e) return C;
        if (typeof e == "string") {
          var s = e.toLowerCase();
          g[s] && (n = s), t && (g[s] = t, n = s);
          var r = e.split("-");
          if (!n && r.length > 1) return i(r[0]);
        } else {
          var h = e.name;
          g[h] = e, n = h;
        }
        return !a && n && (C = n), n || !a && C;
      }, c = function(i, e) {
        if (_(i)) return i.clone();
        var t = typeof e == "object" ? e : {};
        return t.date = i, t.args = arguments, new Y(t);
      }, u = b;
      u.l = w, u.i = _, u.w = function(i, e) {
        return c(i, { locale: e.$L, utc: e.$u, x: e.$x, $offset: e.$offset });
      };
      var Y = function() {
        function i(t) {
          this.$L = w(t.locale, null, !0), this.parse(t);
        }
        var e = i.prototype;
        return e.parse = function(t) {
          this.$d = function(a) {
            var n = a.date, s = a.utc;
            if (n === null) return /* @__PURE__ */ new Date(NaN);
            if (u.u(n)) return /* @__PURE__ */ new Date();
            if (n instanceof Date) return new Date(n);
            if (typeof n == "string" && !/Z$/i.test(n)) {
              var r = n.match(f);
              if (r) {
                var h = r[2] - 1 || 0, d = (r[7] || "0").substring(0, 3);
                return s ? new Date(Date.UTC(r[1], h, r[3] || 1, r[4] || 0, r[5] || 0, r[6] || 0, d)) : new Date(r[1], h, r[3] || 1, r[4] || 0, r[5] || 0, r[6] || 0, d);
              }
            }
            return new Date(n);
          }(t), this.$x = t.x || {}, this.init();
        }, e.init = function() {
          var t = this.$d;
          this.$y = t.getFullYear(), this.$M = t.getMonth(), this.$D = t.getDate(), this.$W = t.getDay(), this.$H = t.getHours(), this.$m = t.getMinutes(), this.$s = t.getSeconds(), this.$ms = t.getMilliseconds();
        }, e.$utils = function() {
          return u;
        }, e.isValid = function() {
          return this.$d.toString() !== o;
        }, e.isSame = function(t, a) {
          var n = c(t);
          return this.startOf(a) <= n && n <= this.endOf(a);
        }, e.isAfter = function(t, a) {
          return c(t) < this.startOf(a);
        }, e.isBefore = function(t, a) {
          return this.endOf(a) < c(t);
        }, e.$g = function(t, a, n) {
          return u.u(t) ? this[a] : this.set(n, t);
        }, e.unix = function() {
          return Math.floor(this.valueOf() / 1e3);
        }, e.valueOf = function() {
          return this.$d.getTime();
        }, e.startOf = function(t, a) {
          var n = this, s = !!u.u(a) || a, r = u.p(t), h = function(Z, D) {
            var H = u.w(n.$u ? Date.UTC(n.$y, D, Z) : new Date(n.$y, D, Z), n);
            return s ? H : H.endOf(m);
          }, d = function(Z, D) {
            return u.w(n.toDate()[Z].apply(n.toDate("s"), (s ? [0, 0, 0, 0] : [23, 59, 59, 999]).slice(D)), n);
          }, l = this.$W, v = this.$M, k = this.$D, A = "set" + (this.$u ? "UTC" : "");
          switch (r) {
            case F:
              return s ? h(1, 0) : h(31, 11);
            case y:
              return s ? h(1, v) : h(0, v + 1);
            case q:
              var J = this.$locale().weekStart || 0, I = (l < J ? l + 7 : l) - J;
              return h(s ? k - I : k + (6 - I), v);
            case m:
            case W:
              return d(A + "Hours", 0);
            case U:
              return d(A + "Minutes", 1);
            case p:
              return d(A + "Seconds", 2);
            case T:
              return d(A + "Milliseconds", 3);
            default:
              return this.clone();
          }
        }, e.endOf = function(t) {
          return this.startOf(t, !1);
        }, e.$set = function(t, a) {
          var n, s = u.p(t), r = "set" + (this.$u ? "UTC" : ""), h = (n = {}, n[m] = r + "Date", n[W] = r + "Date", n[y] = r + "Month", n[F] = r + "FullYear", n[U] = r + "Hours", n[p] = r + "Minutes", n[T] = r + "Seconds", n[S] = r + "Milliseconds", n)[s], d = s === m ? this.$D + (a - this.$W) : a;
          if (s === y || s === F) {
            var l = this.clone().set(W, 1);
            l.$d[h](d), l.init(), this.$d = l.set(W, Math.min(this.$D, l.daysInMonth())).$d;
          } else h && this.$d[h](d);
          return this.init(), this;
        }, e.set = function(t, a) {
          return this.clone().$set(t, a);
        }, e.get = function(t) {
          return this[u.p(t)]();
        }, e.add = function(t, a) {
          var n, s = this;
          t = Number(t);
          var r = u.p(a), h = function(v) {
            var k = c(s);
            return u.w(k.date(k.date() + Math.round(v * t)), s);
          };
          if (r === y) return this.set(y, this.$M + t);
          if (r === F) return this.set(F, this.$y + t);
          if (r === m) return h(1);
          if (r === q) return h(7);
          var d = (n = {}, n[p] = P, n[U] = N, n[T] = O, n)[r] || 1, l = this.$d.getTime() + t * d;
          return u.w(l, this);
        }, e.subtract = function(t, a) {
          return this.add(-1 * t, a);
        }, e.format = function(t) {
          var a = this, n = this.$locale();
          if (!this.isValid()) return n.invalidDate || o;
          var s = t || "YYYY-MM-DDTHH:mm:ssZ", r = u.z(this), h = this.$H, d = this.$m, l = this.$M, v = n.weekdays, k = n.months, A = function(D, H, z, E) {
            return D && (D[H] || D(a, s)) || z[H].slice(0, E);
          }, J = function(D) {
            return u.s(h % 12 || 12, D, "0");
          }, I = n.meridiem || function(D, H, z) {
            var E = D < 12 ? "AM" : "PM";
            return z ? E.toLowerCase() : E;
          }, Z = { YY: String(this.$y).slice(-2), YYYY: u.s(this.$y, 4, "0"), M: l + 1, MM: u.s(l + 1, 2, "0"), MMM: A(n.monthsShort, l, k, 3), MMMM: A(k, l), D: this.$D, DD: u.s(this.$D, 2, "0"), d: String(this.$W), dd: A(n.weekdaysMin, this.$W, v, 2), ddd: A(n.weekdaysShort, this.$W, v, 3), dddd: v[this.$W], H: String(h), HH: u.s(h, 2, "0"), h: J(1), hh: J(2), a: I(h, d, !0), A: I(h, d, !1), m: String(d), mm: u.s(d, 2, "0"), s: String(this.$s), ss: u.s(this.$s, 2, "0"), SSS: u.s(this.$ms, 3, "0"), Z: r };
          return s.replace($, function(D, H) {
            return H || Z[D] || r.replace(":", "");
          });
        }, e.utcOffset = function() {
          return 15 * -Math.round(this.$d.getTimezoneOffset() / 15);
        }, e.diff = function(t, a, n) {
          var s, r = u.p(a), h = c(t), d = (h.utcOffset() - this.utcOffset()) * P, l = this - h, v = u.m(this, h);
          return v = (s = {}, s[F] = v / 12, s[y] = v, s[R] = v / 3, s[q] = (l - d) / 6048e5, s[m] = (l - d) / 864e5, s[U] = l / N, s[p] = l / P, s[T] = l / O, s)[r] || l, n ? v : u.a(v);
        }, e.daysInMonth = function() {
          return this.endOf(y).$D;
        }, e.$locale = function() {
          return g[this.$L];
        }, e.locale = function(t, a) {
          if (!t) return this.$L;
          var n = this.clone(), s = w(t, a, !0);
          return s && (n.$L = s), n;
        }, e.clone = function() {
          return u.w(this.$d, this);
        }, e.toDate = function() {
          return new Date(this.valueOf());
        }, e.toJSON = function() {
          return this.isValid() ? this.toISOString() : null;
        }, e.toISOString = function() {
          return this.$d.toISOString();
        }, e.toString = function() {
          return this.$d.toUTCString();
        }, i;
      }(), x = Y.prototype;
      return c.prototype = x, [["$ms", S], ["$s", T], ["$m", p], ["$H", U], ["$W", m], ["$M", y], ["$y", F], ["$D", W]].forEach(function(i) {
        x[i[1]] = function(e) {
          return this.$g(e, i[0], i[1]);
        };
      }), c.extend = function(i, e) {
        return i.$i || (i(e, Y, c), i.$i = !0), c;
      }, c.locale = w, c.isDayjs = _, c.unix = function(i) {
        return c(1e3 * i);
      }, c.en = g[C], c.Ls = g, c.p = {}, c;
    });
  }(Q)), Q.exports;
}
var at = st();
const X = /* @__PURE__ */ rt(at);
var B = { exports: {} }, ot = B.exports, nt;
function ut() {
  return nt || (nt = 1, function(j, V) {
    (function(O, P) {
      j.exports = P();
    })(ot, function() {
      var O = { LTS: "h:mm:ss A", LT: "h:mm A", L: "MM/DD/YYYY", LL: "MMMM D, YYYY", LLL: "MMMM D, YYYY h:mm A", LLLL: "dddd, MMMM D, YYYY h:mm A" }, P = /(\[[^[]*\])|([-_:/.,()\s]+)|(A|a|YYYY|YY?|MM?M?M?|Do|DD?|hh?|HH?|mm?|ss?|S{1,3}|z|ZZ?)/g, N = /\d\d/, S = /\d\d?/, T = /\d*[^-_:/,()\s\d]+/, p = {}, U = function(o) {
        return (o = +o) + (o > 68 ? 1900 : 2e3);
      }, m = function(o) {
        return function(f) {
          this[o] = +f;
        };
      }, q = [/[+-]\d\d:?(\d\d)?|Z/, function(o) {
        (this.zone || (this.zone = {})).offset = function(f) {
          if (!f || f === "Z") return 0;
          var $ = f.match(/([+-]|\d\d)/g), M = 60 * $[1] + (+$[2] || 0);
          return M === 0 ? 0 : $[0] === "+" ? -M : M;
        }(o);
      }], y = function(o) {
        var f = p[o];
        return f && (f.indexOf ? f : f.s.concat(f.f));
      }, R = function(o, f) {
        var $, M = p.meridiem;
        if (M) {
          for (var L = 1; L <= 24; L += 1) if (o.indexOf(M(L, 0, f)) > -1) {
            $ = L > 12;
            break;
          }
        } else $ = o === (f ? "pm" : "PM");
        return $;
      }, F = { A: [T, function(o) {
        this.afternoon = R(o, !1);
      }], a: [T, function(o) {
        this.afternoon = R(o, !0);
      }], S: [/\d/, function(o) {
        this.milliseconds = 100 * +o;
      }], SS: [N, function(o) {
        this.milliseconds = 10 * +o;
      }], SSS: [/\d{3}/, function(o) {
        this.milliseconds = +o;
      }], s: [S, m("seconds")], ss: [S, m("seconds")], m: [S, m("minutes")], mm: [S, m("minutes")], H: [S, m("hours")], h: [S, m("hours")], HH: [S, m("hours")], hh: [S, m("hours")], D: [S, m("day")], DD: [N, m("day")], Do: [T, function(o) {
        var f = p.ordinal, $ = o.match(/\d+/);
        if (this.day = $[0], f) for (var M = 1; M <= 31; M += 1) f(M).replace(/\[|\]/g, "") === o && (this.day = M);
      }], M: [S, m("month")], MM: [N, m("month")], MMM: [T, function(o) {
        var f = y("months"), $ = (y("monthsShort") || f.map(function(M) {
          return M.slice(0, 3);
        })).indexOf(o) + 1;
        if ($ < 1) throw new Error();
        this.month = $ % 12 || $;
      }], MMMM: [T, function(o) {
        var f = y("months").indexOf(o) + 1;
        if (f < 1) throw new Error();
        this.month = f % 12 || f;
      }], Y: [/[+-]?\d+/, m("year")], YY: [N, function(o) {
        this.year = U(o);
      }], YYYY: [/\d{4}/, m("year")], Z: q, ZZ: q };
      function W(o) {
        var f, $;
        f = o, $ = p && p.formats;
        for (var M = (o = f.replace(/(\[[^\]]+])|(LTS?|l{1,4}|L{1,4})/g, function(c, u, Y) {
          var x = Y && Y.toUpperCase();
          return u || $[Y] || O[Y] || $[x].replace(/(\[[^\]]+])|(MMMM|MM|DD|dddd)/g, function(i, e, t) {
            return e || t.slice(1);
          });
        })).match(P), L = M.length, b = 0; b < L; b += 1) {
          var C = M[b], g = F[C], _ = g && g[0], w = g && g[1];
          M[b] = w ? { regex: _, parser: w } : C.replace(/^\[|\]$/g, "");
        }
        return function(c) {
          for (var u = {}, Y = 0, x = 0; Y < L; Y += 1) {
            var i = M[Y];
            if (typeof i == "string") x += i.length;
            else {
              var e = i.regex, t = i.parser, a = c.slice(x), n = e.exec(a)[0];
              t.call(u, n), c = c.replace(n, "");
            }
          }
          return function(s) {
            var r = s.afternoon;
            if (r !== void 0) {
              var h = s.hours;
              r ? h < 12 && (s.hours += 12) : h === 12 && (s.hours = 0), delete s.afternoon;
            }
          }(u), u;
        };
      }
      return function(o, f, $) {
        $.p.customParseFormat = !0, o && o.parseTwoDigitYear && (U = o.parseTwoDigitYear);
        var M = f.prototype, L = M.parse;
        M.parse = function(b) {
          var C = b.date, g = b.utc, _ = b.args;
          this.$u = g;
          var w = _[1];
          if (typeof w == "string") {
            var c = _[2] === !0, u = _[3] === !0, Y = c || u, x = _[2];
            u && (x = _[2]), p = this.$locale(), !c && x && (p = $.Ls[x]), this.$d = function(a, n, s) {
              try {
                if (["x", "X"].indexOf(n) > -1) return new Date((n === "X" ? 1e3 : 1) * a);
                var r = W(n)(a), h = r.year, d = r.month, l = r.day, v = r.hours, k = r.minutes, A = r.seconds, J = r.milliseconds, I = r.zone, Z = /* @__PURE__ */ new Date(), D = l || (h || d ? 1 : Z.getDate()), H = h || Z.getFullYear(), z = 0;
                h && !d || (z = d > 0 ? d - 1 : Z.getMonth());
                var E = v || 0, G = k || 0, K = A || 0, tt = J || 0;
                return I ? new Date(Date.UTC(H, z, D, E, G, K, tt + 60 * I.offset * 1e3)) : s ? new Date(Date.UTC(H, z, D, E, G, K, tt)) : new Date(H, z, D, E, G, K, tt);
              } catch {
                return /* @__PURE__ */ new Date("");
              }
            }(C, w, g), this.init(), x && x !== !0 && (this.$L = this.locale(x).$L), Y && C != this.format(w) && (this.$d = /* @__PURE__ */ new Date("")), p = {};
          } else if (w instanceof Array) for (var i = w.length, e = 1; e <= i; e += 1) {
            _[1] = w[e - 1];
            var t = $.apply(this, _);
            if (t.isValid()) {
              this.$d = t.$d, this.$L = t.$L, this.init();
              break;
            }
            e === i && (this.$d = /* @__PURE__ */ new Date(""));
          }
          else L.call(this, b);
        };
      };
    });
  }(B)), B.exports;
}
var ht = ut();
const ft = /* @__PURE__ */ rt(ht);
X.extend(ft);
const lt = (j, V) => {
  let O = !1;
  if (V)
    switch (V) {
      case "ISO_8601":
        O = j;
        break;
      case "RFC_2822":
        O = X(j.slice(5), "DD MMM YYYY HH:mm:ss ZZ").unix();
        break;
      case "MYSQL":
        O = X(j, "YYYY-MM-DD hh:mm:ss").unix();
        break;
      case "UNIX":
        O = X(j).unix();
        break;
      // User defined format using the data-format attribute or columns[n].format option
      default:
        O = X(j, V, !0).valueOf();
        break;
    }
  return O;
};
export {
  lt as parseDate
};
